Subject: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Drew Adams <[email-masked]>
Date: Tue, 24 Nov 2020 14:39:20 -0800 (PST)

> AFAIK, this is a typical example of Drew's reaction to a suggested change: oppose it without even the vaguest understanding of what the change is about.
> 
> I recommend you ignore his deluge of messages which tend to just hijack
> the discussion or at least derail it.

(Ignoring the ad hominem attack.  Ideas please, not
people.)

I tried to understand it.  I looked at the patch and
the source code.  I asked what files this applies to.
I got no explanation of what this really does (or why).
Is it so obvious what the effect is?  It wasn't/isn't
to me.

And I said from the very beginning that I wasn't sure
I understand it, and I asked for clarification.

I responded to the question asking if anyone has a
problem with the proposed change, by saying that IF
my understanding of it is correct (and I stated my
understanding) THEN yes, I would object.

FWIW, Eli too asked what the benefits are - what this
is really for.  Haven't seen an answer to that either.

(I'm not suggesting that Eli, like me, had difficulty
understanding what this does.)